# pandas.DataFrame.pop

DataFrame.pop(item)

  Return item and drop from frame. Raise KeyError if not found.

  Parameters
    item label

      Label of column to be popped.

  Returns
    Series

  Examples

      >>> df = pd.DataFrame([('falcon', 'bird', 389.0),
      ...                    ('parrot', 'bird', 24.0),
      ...                    ('lion', 'mammal', 80.5),
      ...                    ('monkey', 'mammal', np.nan)],
      ...                   columns=('name', 'class', 'max_speed'))
      >>> df
           name   class  max_speed
      0  falcon    bird      389.0
      1  parrot    bird       24.0
      2    lion  mammal       80.5
      3  monkey  mammal        NaN

      >>> df.pop('class')
      0      bird
      1      bird
      2    mammal
      3    mammal
      Name: class, dtype: object

      >>> df
           name  max_speed
      0  falcon      389.0
      1  parrot       24.0
      2    lion       80.5
      3  monkey        NaN